--
-- Generated from mysql2pgsql.perl
-- http://gborg.postgresql.org/project/mysql2psql/
-- (c) 2001 - 2007 Jose M. Duarte, Joseph Speigle
--

-- warnings are printed for drop tables if they do not exist
-- please see http://archives.postgresql.org/pgsql-novice/2004-10/msg00158.php

-- ##############################################################
/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8 */;
/*!40103 SET @OLD_TIME_ZONE=@@TIME_ZONE */;
/*!40103 SET TIME_ZONE='+00:00' */;
/*!40014 SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0 */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;
/*!40111 SET @OLD_SQL_NOTES=@@SQL_NOTES, SQL_NOTES=0 */;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
-- MySQL dump 10.13  Distrib 5.1.54, for debian-linux-gnu (x86_64)
--
-- Host: localhost    Database: employees
-- ------------------------------------------------------
-- Server version	5.1.54-1ubuntu4


--
-- Table structure for table departments
--

CREATE TABLE  "departments" (
   "dept_no"   char(4) NOT NULL, 
   "dept_name"   varchar(40) NOT NULL, 
   primary key ("dept_no"),
 unique ("dept_name") 
)  ;
/*!40101 SET character_set_client = @saved_cs_client */;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;

--
-- Table structure for table dept_emp
--

CREATE TABLE  "dept_emp" (
   "emp_no"   int NOT NULL, 
   "dept_no"   char(4) NOT NULL, 
   "from_date"   date NOT NULL, 
   "to_date"   date NOT NULL, 
   primary key ("emp_no", "dept_no")
)  ;
/*!40101 SET character_set_client = @saved_cs_client */;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE INDEX "dept_emp_emp_no_idx" ON "dept_emp" USING btree ("emp_no");
CREATE INDEX "dept_emp_dept_no_idx" ON "dept_emp" USING btree ("dept_no");
ALTER TABLE "dept_emp" ADD FOREIGN KEY ("emp_no") REFERENCES "employees" ("emp_no");
ALTER TABLE "dept_emp" ADD FOREIGN KEY ("dept_no") REFERENCES "departments" ("dept_no");

--
-- Table structure for table dept_manager
--

CREATE TABLE  "dept_manager" (
   "dept_no"   char(4) NOT NULL, 
   "emp_no"   int NOT NULL, 
   "from_date"   date NOT NULL, 
   "to_date"   date NOT NULL, 
   primary key ("emp_no", "dept_no")
)  ;
/*!40101 SET character_set_client = @saved_cs_client */;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE INDEX "dept_manager_emp_no_idx" ON "dept_manager" USING btree ("emp_no");
CREATE INDEX "dept_manager_dept_no_idx" ON "dept_manager" USING btree ("dept_no");
ALTER TABLE "dept_manager" ADD FOREIGN KEY ("emp_no") REFERENCES "employees" ("emp_no");
ALTER TABLE "dept_manager" ADD FOREIGN KEY ("dept_no") REFERENCES "departments" ("dept_no");

--
-- Table structure for table employees
--

CREATE TABLE  "employees" (
   "emp_no"   int NOT NULL, 
   "birth_date"   date NOT NULL, 
   "first_name"   varchar(14) NOT NULL, 
   "last_name"   varchar(16) NOT NULL, 
 "gender" varchar CHECK ("gender" IN ( 'M','F' )) NOT NULL,
   "hire_date"   date NOT NULL, 
   primary key ("emp_no")
)  ;
/*!40101 SET character_set_client = @saved_cs_client */;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;

--
-- Table structure for table salaries
--

CREATE TABLE  "salaries" (
   "emp_no"   int NOT NULL, 
   "salary"   int NOT NULL, 
   "from_date"   date NOT NULL, 
   "to_date"   date NOT NULL, 
   primary key ("emp_no", "from_date")
)  ;
/*!40101 SET character_set_client = @saved_cs_client */;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE INDEX "salaries_emp_no_idx" ON "salaries" USING btree ("emp_no");
ALTER TABLE "salaries" ADD FOREIGN KEY ("emp_no") REFERENCES "employees" ("emp_no");

--
-- Table structure for table titles
--

CREATE TABLE  "titles" (
   "emp_no"   int NOT NULL, 
   "title"   varchar(50) NOT NULL, 
   "from_date"   date NOT NULL, 
   "to_date"   date DEFAULT NULL, 
   primary key ("emp_no", "title", "from_date")
)  ;
/*!40101 SET character_set_client = @saved_cs_client */;
/*!40103 SET TIME_ZONE=@OLD_TIME_ZONE */;
/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;
/*!40014 SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS */;
/*!40014 SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS */;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
/*!40111 SET SQL_NOTES=@OLD_SQL_NOTES */;
CREATE INDEX "titles_emp_no_idx" ON "titles" USING btree ("emp_no");
ALTER TABLE "titles" ADD FOREIGN KEY ("emp_no") REFERENCES "employees" ("emp_no");
